<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>AudioContext</title>
</head>
<body>
    <script>
        var AudioContext = window.AudioContext || window.webkitAudioContext;
        var audioCtx = new AudioContext();
        // 
        var oscillatorNode = audioCtx.createOscillator();
        console.log(oscillatorNode);
        var gainNode = audioCtx.createGain();
        console.log(gainNode);
        var finish = audioCtx.destination;
    </script>
</body>
</html>